Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.gui
Class Gui

    java.lang.Object
      net.minecraft.client.gui.Gui

Direct Known Subclasses:
  GuiAchievement, GuiButton, GuiIngame, GuiNewChat, GuiParticle, GuiScreen, GuiTextField

    public class Gui

extends Object

Constructor Summary
`Gui()`

Method Summary
`void` | `drawCenteredString(FontRenderer par1FontRenderer, String par2Str, int par3, int par4, int par5)` Renders the specified text to the screen, center-aligned.
`static void` | `drawRect(int par0, int par1, int par2, int par3, int par4)` Draws a solid color rectangle with the specified coordinates and color.
`void` | `drawString(FontRenderer par1FontRenderer, String par2Str, int par3, int par4, int par5)` Renders the specified text to the screen.
`void` | `drawTexturedModalRect(int par1, int par2, int par3, int par4, int par5, int par6)` Draws a textured rectangle at the stored z-value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gui

    public Gui()

Method Detail

### drawRect

    public static void drawRect(int par0,
                                int par1,
                                int par2,
                                int par3,
                                int par4)

  Draws a solid color rectangle with the specified coordinates and color.

### drawCenteredString

    public void drawCenteredString(FontRenderer par1FontRenderer,
                                   String par2Str,
                                   int par3,
                                   int par4,
                                   int par5)

  Renders the specified text to the screen, center-aligned.

### drawString

    public void drawString(FontRenderer par1FontRenderer,
                           String par2Str,
                           int par3,
                           int par4,
                           int par5)

  Renders the specified text to the screen.

### drawTexturedModalRect

    public void drawTexturedModalRect(int par1,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5,
                                      int par6)

  Draws a textured rectangle at the stored z-value. Args: x, y, u, v, width, height

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD